Bullet Collision Detection & Physics Library: Bullet::btMultiBodyLinkFloatData Class Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
Bullet::btMultiBodyLinkFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btMultiBodyLinkFloatData:
[legend]

## Public Attributes
btQuaternionFloatData | m_zeroRotParentToThis
btVector3FloatData | m_parentComToThisComOffset
btVector3FloatData | m_thisPivotToThisComOffset
btVector3FloatData | m_jointAxisTop [6]
btVector3FloatData | m_jointAxisBottom [6]
btVector3FloatData | m_linkInertia
int | m_dofCount
float | m_linkMass
int | m_parentIndex
int | m_jointType
float | m_jointPos [7]
float | m_jointVel [6]
float | m_jointTorque [6]
int | m_posVarCount
float | m_jointDamping
float | m_jointFriction
char * | m_linkName
char * | m_jointName
btCollisionObjectFloatData * | m_linkCollider
char * | m_paddingPtr

## Detailed Description

Definition at line 1375 of file bullet.h.

## Member Data Documentation

## § m_dofCount

int Bullet::btMultiBodyLinkFloatData::m_dofCount

Definition at line 1384 of file bullet.h.

## § m_jointAxisBottom

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_jointAxisBottom[6]

Definition at line 1382 of file bullet.h.

## § m_jointAxisTop

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_jointAxisTop[6]

Definition at line 1381 of file bullet.h.

## § m_jointDamping

float Bullet::btMultiBodyLinkFloatData::m_jointDamping

Definition at line 1392 of file bullet.h.

## § m_jointFriction

float Bullet::btMultiBodyLinkFloatData::m_jointFriction

Definition at line 1393 of file bullet.h.

## § m_jointName

char* Bullet::btMultiBodyLinkFloatData::m_jointName

Definition at line 1395 of file bullet.h.

## § m_jointPos

float Bullet::btMultiBodyLinkFloatData::m_jointPos[7]

Definition at line 1388 of file bullet.h.

## § m_jointTorque

float Bullet::btMultiBodyLinkFloatData::m_jointTorque[6]

Definition at line 1390 of file bullet.h.

## § m_jointType

int Bullet::btMultiBodyLinkFloatData::m_jointType

Definition at line 1387 of file bullet.h.

## § m_jointVel

float Bullet::btMultiBodyLinkFloatData::m_jointVel[6]

Definition at line 1389 of file bullet.h.

## § m_linkCollider

btCollisionObjectFloatData* Bullet::btMultiBodyLinkFloatData::m_linkCollider

Definition at line 1396 of file bullet.h.

## § m_linkInertia

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_linkInertia

Definition at line 1383 of file bullet.h.

## § m_linkMass

float Bullet::btMultiBodyLinkFloatData::m_linkMass

Definition at line 1385 of file bullet.h.

## § m_linkName

char* Bullet::btMultiBodyLinkFloatData::m_linkName

Definition at line 1394 of file bullet.h.

## § m_paddingPtr

char* Bullet::btMultiBodyLinkFloatData::m_paddingPtr

Definition at line 1397 of file bullet.h.

## § m_parentComToThisComOffset

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_parentComToThisComOffset

Definition at line 1379 of file bullet.h.

## § m_parentIndex

int Bullet::btMultiBodyLinkFloatData::m_parentIndex

Definition at line 1386 of file bullet.h.

## § m_posVarCount

int Bullet::btMultiBodyLinkFloatData::m_posVarCount

Definition at line 1391 of file bullet.h.

## § m_thisPivotToThisComOffset

btVector3FloatData Bullet::btMultiBodyLinkFloatData::m_thisPivotToThisComOffset

Definition at line 1380 of file bullet.h.

## § m_zeroRotParentToThis

btQuaternionFloatData Bullet::btMultiBodyLinkFloatData::m_zeroRotParentToThis

Definition at line 1378 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h